Name:       getpclinuxos
Version:    3.2
Release:    %mkrel 5
Summary:    Download PCLinuxOS ISOs
Summary(de): none
Source:     getpclinuxos-%{version}.tar.xz   
Group:      Graphical desktop/Other
License:    GPLv3 
URL:        http://www.pclinuxos.com/
BuildRoot:  %{_tmppath}/%{name}-%{version}-buildroot 
BuildArch:  noarch
Requires:   bash
Requires:   yad 
Requires:   wget
Requires:   pclinuxos-release
Obsoletes:	GetPCLOS
Provides:   GetPCLOS = %version-%release
Obsoletes:  get-pclinuxos
Provides:   get-pclinuxos = %version-%release

%description
getpclinuxos is a simple utility to list and download PCLOS ISOs from the repository.
By default it will connect to the users selected mirror if it is a valid URL.
If it has a problem with the default mirror it selects NLUUG as the default.
It will include community ISOs from https://pclosusers.com/communityiso/.
The user can also select a preferred mirror for the download should they wish.

%description -l de 
none

%prep
%setup -q

%build

%install
rm -rf %buildroot

mkdir -p %{buildroot}/%{_bindir}
install -m 0755 getpclinuxos %{buildroot}/%{_bindir}/getpclinuxos

mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 getpclinuxos.desktop %{buildroot}%{_datadir}/applications/getpclinuxos.desktop

mkdir -p %{buildroot}%{_datadir}/icons/GetPCLOS
install -m 0644 download-black-bull.png %{buildroot}%{_datadir}/icons/GetPCLOS/download-black-bull.png

install -m 0644 mini-black-bull.png %{buildroot}%{_datadir}/icons/GetPCLOS/mini-black-bull.png

mkdir -p %{buildroot}%{_datadir}/GetPCLOS
install -m 0644 getpclinuxos.pdf %{buildroot}%{_datadir}/GetPCLOS/getpclinuxos.pdf 


%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files 
%{_bindir}/getpclinuxos
%{_datadir}/applications/getpclinuxos.desktop
%{_datadir}/icons/GetPCLOS/download-black-bull.png
%{_datadir}/icons/GetPCLOS/mini-black-bull.png
%{_datadir}/GetPCLOS/getpclinuxos.pdf

%changelog
* Tue Jun 06 2023 tex - 3.2-5pclos2023
- fix url

* Mon Jun 05 2023 tex - 3.2-4pclos2023
- change url folder from live-cd to iso

* Thu Mar 11 2021 tex - 3.2-3pclos2021
- rebuild against updates

* Fri Dec 27 2020 tex - 3.2-2pclos2020
- bugfix update

* Tue Dec 24 2019 tex - 3.2-1pclos2020
- new version

* Thu Dec 19 2019 tex - 3.0-3pclos2020
- rebuild against updates

* Wed Dec 18 2019 tex - 3.0-2pclos2020
- rebuild against updates

* Fri Nov 29 2019 tex - 3.0-1pclos2019
- 3.0

* Thu Nov 14 2019 tex - 1.3-3pclos2019
- rebuild against updates

* Mon Aug 26 2019 tex - 1.3-2pclos2019
- fix buttons

* Thu Aug 15 2019 tex - 1.3-1pclos2019
- new version

* Sun Jul 14 2019 tex - 1.1-3pclos2019
- adjust window size as text gets cut off or incorrectly
- wrapped around

* Sun Jul 14 2019  <clareoldie at gmail.com> 1.1-2pclos2019
- Edit to PDF manual; Changed display od ISOs for clarity.

* Thu Jul 28 2017  <clareoldie at gmail.com> 0.3-1pclos2017
- Added Mirror selection, new icons and save defaults.

* Mon Jul 10 2017  <clareoldie at gmail.com> 0.2-1pclos2017
- create pkg

